setFixest_print.type {fixest} | R Documentation

## Sets/gets what `print` does to `fixest` estimations

### Description

Sets/gets the default behavior of the `print` method for non-summary `fixest` estimations. Default is to display the coefficients table but it can be changed to displaying only the coefficients.

### Usage

    setFixest_print.type(x)

    getFixest_print.type()

### Arguments

`x` | Either `"table"` or `"coef"`.

### Author(s)

Laurent Berge

### Examples

    res = feols(Sepal.Length ~ Sepal.Width + Petal.Length, base)
    # default is coef. table:
    res
    # can be changed to only the coefficients:
    print(res, type = "coef")
    setFixest_print.type("coef")
    res # only the coefs

[Package fixest version 0.1.0 Index]